wi-init(){
    wi-login $1
    wi-header "Init"

    if [[ ! -z $2 && ${#$2} -gt 5 ]]
    then
        HOSTNAME="$2.$DEVICE_DOMAIN"
    elif [[ $(hostname -d) ]]
    then
        HOSTNAME=$(hostname --fqdn)
    else
        echo "Status: Hostname Required"
        wx-stop
    fi

    mkdir -p ~/.ssh/keys &> /dev/null

    apt-get update &> /dev/null
    apt-get install -y python3-pip python3-venv jq git curl lsb-release &> /dev/null
    dnf install -y epel-release &> /dev/null
    dnf install -y python3-pip jq git curl lsb_release &> /dev/null
    python3 -m venv /opt/ansible &> /dev/null
    /opt/ansible/bin/pip3 install ansible &> /dev/null
    /opt/ansible/bin/pip3 install cryptography dnspython hvac jmespath netaddr pexpect &> /dev/null

    curl \
        -H "X-Vault-Token: ${config["login",$ORG]}" \
        -X GET \
        https://$VAULT_DOMAIN/v1/init.sh/data/ssh -s | jq -r '.data.data.privkey' > ~/.ssh/keys/init

    chmod 700 ~/.ssh/keys/init &> /dev/null

    mkdir -p ~/.ansible &> /dev/null

    if [ ! -f ~/.ansible/vars.yml ]
    then
        echo "---" > ~/.ansible/vars.yml
        echo "hostname: $HOSTNAME" >> ~/.ansible/vars.yml
        echo "config:" >> ~/.ansible/vars.yml
        echo "  identity:" >> ~/.ansible/vars.yml
        echo "    vault:" >> ~/.ansible/vars.yml
        echo "      domain: $VAULT_DOMAIN" >> ~/.ansible/vars.yml
    fi

    GIT_DOMAIN="git.cwinfo.net"
    GIT_PORT="2222"
    GIT_REPOSITORY="warengroup-private/infra-plus"

    export HVT=${config["login",$ORG]}

    /opt/ansible/bin/ansible-galaxy collection install ansible.posix ansible.utils community.crypto community.dns community.docker community.general community.hashi_vault community.libvirt community.mongodb community.mysql community.postgresql containers.podman --upgrade &> /dev/null

    /opt/ansible/bin/ansible-pull -U ssh://git@$GIT_DOMAIN:$GIT_PORT/$GIT_REPOSITORY -d ~/.ansible/pull/infra --accept-host-key --private-key ~/.ssh/keys/init --extra-vars @~/.ansible/vars.yml playbooks/init.yml -t init

    unset HVT
}
